<?php
namespace Claromentis\Core\Archive;

$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] ?: array()) + array();






interface ArchiveAdapter
{
    
    
    
    
    
    
    
    
    
    public function UnpackNoFolders($archive_file_path);
    
    
    
    
    
    
    
    
    
    
    public function UnpackWithFolders($archive_file_path);
    
    
    
    
    public function CreateArchive($files_list);
    
    
    
    
    
    
    public function ListContents($archive_file_path);
}